Bug 211818 - Couldn't mount nfs fs exported by the latest kernel
Couldn't mount nfs fs exported by the latest kernel
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
: 211817 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-10-23 05:28 EDT by Zhang Yanmin
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-29 20:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zhang Yanmin 2006-10-23 05:28:57 EDT
Description of problem:
After configuring nfs server on the machine with new kernel, client machine 
couldn't mount the nfs fs exported from the server.

Version-Release number of selected component (if applicable):
I tested 2.6.18-1.2768 and 2798. Both failed on IA64. I didn't try it on other 
platform, but it looks like the problem is arch-independent.

How reproducible:
Always on ia64 machine.

Steps to Reproduce:
1. Install the latest kernel/distribution;
2. On server machine: start nfs and exportfs /mnt/tmp;
3. On client, try to mount the nfs. Failed;
4. I tried kernel 2.6.18-rc7. It works well.
Actual results:

Expected results:

Additional info:
Comment 1 Dave Jones 2006-10-28 01:57:32 EDT
whats in the log files from the server ? anything ?

This report is a little sparse on details.
Comment 2 Dave Jones 2006-10-29 01:44:31 EST
*** Bug 211817 has been marked as a duplicate of this bug. ***
Comment 3 Zhang Yanmin 2006-11-01 03:51:17 EST
Below is the log on client machine.

[root@tigerF mnt]# mount tigerG:/mnt/tmp2 nfs2
mount: mount to NFS server 'tigerG' failed: System Error: No route to host.
Comment 4 Steve Dickson 2006-11-01 08:20:56 EST
This appears to be a networking or routing issue...

does 'ping tigerG' work? Meaning are the ICMP packages
able to reach the tigerG server?
Comment 5 Zhang Yanmin 2006-11-02 20:24:47 EST
I could use scp to copy files from tigerG (NFS server) to the client. Ping and 
ssh are also ok.

traceroute showed they are in the same subnetwork as their IP configuration.

I try telnet and got the same failure messages.

If I just use kernel 2.6.18-rc7 on NFS server and keep other configurations, 
it does work.
Comment 6 Steve Dickson 2006-11-03 05:40:17 EST
So both NFS mounts and telnets are failing with
"No route to host", but scp and pings work find...
Thats a bit  bizarre...

and because the -rc7 kernel works, your pretty sure is not
firewall issue somewhere along the way.... beause that's
what is seems like... but it does not make any sense that 
changing kernels would make the networking problem go away...  

Note You need to log in before you can comment on or make changes to this bug.